<template>
  <div id="follow-list-page">
    <div class="header row-flex-container">
      <div class="backIcon" @click="$router.go(-1)"/>
    </div>
    <el-tabs stretch v-model="page">
      <el-tab-pane label="关注我的" name="follower">
        <div class="chat-item-list col-flex-container">
          <div class="chat-item chat row-flex-container main-axis-center" v-for="(user, index) in follower"
               :key="index" @click="$router.push(`/user?userId=${user.userId}`)">
            <el-avatar :size="50" :src="user.profilePhotoUrl"/>
            <div class="text-info col-flex-container">
              <span class="nick-name">{{user.name}}</span>
              <span class="content">{{user.introduction}}</span>
            </div>
<!--            <el-button round>关注</el-button>-->
          </div>
          <div class="chat-item footnote col-flex-container main-axis-center">
            <span>没有啦</span>
          </div>
        </div>
      </el-tab-pane>
      <el-tab-pane label="我关注的"  name="followed">
        <div class="chat-item-list col-flex-container">
          <div class="chat-item chat row-flex-container main-axis-center" v-for="(user, index) in followed"
               :key="index" @click="$router.push(`/user?userId=${user.userId}`)">
            <el-avatar :size="50" :src="user.profilePhotoUrl"/>
            <div class="text-info col-flex-container">
              <span class="nick-name">{{user.name}}</span>
              <span class="content">{{user.introduction}}</span>
            </div>
<!--            <el-button round>取消关注</el-button>-->
          </div>
          <div class="chat-item footnote col-flex-container main-axis-center">
            <span>没有啦</span>
          </div>
        </div>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
export default {
  name: 'FollowList',
  data () {
    return {
      page: 'follower',
      followed: [],
      follower: []
    }
  },
  mounted () {
    let id = this.$route.query['id']
    if (!id && this.$store.state.userInfo.detail) {
      id = this.$store.state.userInfo.detail.userId
    } else return
    this.$api.getFans(id)
      .then(res => {
        console.log(res)
        this.follower = res.data.data
        return this.$api.getFollowings(id)
      })
      .then(res => {
        this.followed = res.data.data
      })
  }
}
</script>

<style scoped lang="less">
  .row-flex-container {
    display: flex;
    flex-direction: row;
  }
  .col-flex-container {
    display: flex;
    flex-direction: column;
  }
  .main-axis-center.row-flex-container,
  .main-axis-center.col-flex-container{
    align-items: center;
  }
  .second-axis-center.row-flex-container,
  .second-axis-center.col-flex-container{
    justify-content: center;
  }
  .second-axis-space.row-flex-container,
  .second-axis-space.col-flex-container{
    justify-content: space-around;
  }
  .second-axis-between.row-flex-container,
  .second-axis-between.col-flex-container{
    justify-content: space-between;
  }
#follow-list-page {
  background-color: white;
  .header {
    width: 100vw;
    height: 50px;
    .backIcon {
      position: absolute;
      width: 13.5px;
      height: 18.5px;
      left: 20px;
      top: 20px;
      background-image: url("../assets/goback.png");
      background-size: contain;
    }
  }
  .chat-item-list {
    background-color: #eee;
    min-height: calc(100vh - 105px);
    .chat-item {
      height: 60px;
      padding: 10px 5% 10px 5%;
      &.chat {
        background-color: white;
        .text-info {
          margin-inline-start: 14px;
          flex-grow: 1;
          .nick-name {
            font-size: 16px;
            font-weight: bold;
            text-overflow: ellipsis;
          }
          .content {
            margin-top: 6px;
            font-size: 13px;
            font-weight: 500;
            max-width: calc(100vw - 150px);
            overflow: hidden;
            text-overflow: ellipsis;
          }
        }
        .time-text {
          font-size: 14px;
          color: #ccc;
        }
        &:nth-child(1n+2) {
          border-top: 1px solid #f5f5f5;
        }
      }
      &.footnote {
        margin-block-start: 10px;
        font-size: 14px;
        color: #666;
      }
    }
  }
}
</style>
